<?php

    include("../../classes/database.class.php");
    include("../../classes/precoArtigoModel.class.php");
    include("../../classes/precoArtigoController.class.php");

    $idArtigo = $_POST["idArtigo"];
    $semImposto = $_POST["semImposto"];
    $comImposto = $_POST["comImposto"];
    $margem = $_POST["margem"];
    $indice = $_POST["indice"];

    if($semImposto == ""){
        $semImposto = 0;
    }
    if($comImposto == ""){
        $comImposto = 0;
    }
    if($margem == ""){
        $margem = 0;
    }

    $modelo = new PrecoArtigoController($idArtigo, $semImposto, $comImposto, $margem, $indice);
    $id = $modelo->createPrecoArtigo();
    echo json_encode($id);